#ifndef __PLAYERCRAFT_H_
#define __PLAYERCRAFT_H_

//#include <iostream>

class PlayerCraft :
    public GameObject3D
{
public:    
    PlayerCraft();
    PlayerCraft(LPCTSTR file, LPCTSTR path, float calibrationAngleX, float calibrationAngleY, float calibrationAngleZ);
    PlayerCraft(const Model &model);
    ~PlayerCraft();

    void Initialize();
    void InitializeScaleFactors();

    static const float SCALE_FACTOR; 

    static const float CALIBRATION_ANGLE_PLAYER_X;
    static const float CALIBRATION_ANGLE_PLAYER_Y;     
    static const float CALIBRATION_ANGLE_PLAYER_Z;   
	static const float MODIFICATOR_SHINIESS;
	static const float MODIFICATOR_SPECULAR_STRENGTH;
	static const D3DCOLOR MODIFIER_AMBIENT_LIGHT;
};

#endif